Page MenuHomePhabricator

wmf-elasticsearch-search-plugin not available for Stretch
Closed, ResolvedPublic

Description

Required for role::cirrussearch

==> default: Error: Could not update: Execution of '/usr/bin/apt-get -q
-y -o DPkg::Options::=--force-confold install
wmf-elasticsearch-search-plugins' returned 100: Reading package lists...
==> default: Building dependency tree...
==> default: Reading state information...
==> default: E: Unable to locate package wmf-elasticsearch-search-plugins
==> default: Error:
/Stage[main]/Role::Cirrussearch/Package[wmf-elasticsearch-search-plugins]/ensure:
change from purged to latest failed: Could not update: Execution of
'/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
wmf-elasticsearch-search-plugins' returned 100: Reading package lists...
==> default: Building dependency tree...
==> default: Reading state information...
==> default: E: Unable to locate package wmf-elasticsearch-search-plugins

The package is present for jessie via apt.wikimedia.org's component/elastic repo, but not imported for stretch yet.

Event Timeline

Smalyshev triaged this task as Normal priority.Dec 19 2017, 10:38 PM
Smalyshev created this task.

wmf-elasticsearch-search-plugins needs to be imported into wikimedia-stretch i think.

Change 400085 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[mediawiki/vagrant@stretch-migration] kafka: Use custom apt repo

https://gerrit.wikimedia.org/r/400085

Change 400085 merged by jenkins-bot:
[mediawiki/vagrant@stretch-migration] kafka: Use custom apt repo

https://gerrit.wikimedia.org/r/400085

bd808 updated the task description. (Show Details)Dec 24 2017, 4:21 AM
bd808 renamed this task from packages are missing for cirrussearch role to wmf-elasticsearch-search-plugin not available for Stretch.Dec 24 2017, 4:26 AM
bd808 removed a project: Patch-For-Review.
bd808 updated the task description. (Show Details)
bd808 added a subscriber: Gehel.
bd808 added a comment.Jan 8 2018, 11:45 PM

The elasticsearch / kibana / logstash packages have already been uploaded to our stretch repo (under the thirdparty/elastic55 component). This should fix the issue reported here. As I understand, @Paladox is only using vagrant to do some testing around logstash, so he probably doesn't need all our custom packages.
At some point we will want to do the stretch migration, but we probably want to plan that a bit and reduce the time where we support both jessie and stretch.

@Gehel is building/uploading wmf-elasticsearch-search-plugins for Stretch something that is relatively easy to take care of? We are hoping to make Stretch the default for MediaWiki-Vagrant this week and when we do none of the CirrusSearch roles will work without this package.

Or other option would be to remove the WMF specific plugins for now and put them back when the package is available.

Gehel added a comment.EditedJan 9 2018, 10:43 AM

I've copied the plugins to stretch, so we should be good. I have not rebuilt the package as this is basically only a .zip with pre-compiled .jar. Let me know if this actually works in stretch / vagrant!

gehel@install1002:~$ sudo -E reprepro ls wmf-elasticsearch-search-pluginswmf-elasticsearch-search-plugins | 5.3.2-2~jessie |  jessie-wikimedia | amd64, i386
wmf-elasticsearch-search-plugins |        5.3.2-2 |  jessie-wikimedia | source
wmf-elasticsearch-search-plugins | 5.5.2-1~jessie |  jessie-wikimedia | amd64, i386
wmf-elasticsearch-search-plugins |        5.5.2-1 |  jessie-wikimedia | source
wmf-elasticsearch-search-plugins | 5.3.2-2~jessie | stretch-wikimedia | amd64, i386
wmf-elasticsearch-search-plugins |        5.3.2-2 | stretch-wikimedia | source
wmf-elasticsearch-search-plugins | 5.5.2-1~jessie | stretch-wikimedia | amd64, i386
wmf-elasticsearch-search-plugins |        5.5.2-1 | stretch-wikimedia | source
bd808 closed this task as Resolved.Jan 10 2018, 4:07 AM
bd808 claimed this task.

The package installs! Folks who have tried to provision a role that includes this previously may need to force an apt index update in their vm (vagrant ssh -- sudo apt-get update) before vagrant provision will install the package.